Bug 173371 - Can't install xfig on modular X
Can't install xfig on modular X
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
Reported: 2005-11-16 13:16 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-17 07:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-11-16 13:16:59 EST
Description of problem:
xfig is missing a dependency on openmotif etc

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum -y install xfig
Actual results:
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package openmotif.i386 0:2.2.3-11 set to be updated
--> Running transaction check
--> Processing Dependency: /usr/X11R6/lib/X11/XKeysymDB for package: openmotif
Importing Additional filelist information for dependency resolution
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/X11R6/lib/X11/XKeysymDB is needed by package

Expected results:
Installed package

Additional info:
Strangely, openmotif is not under the core packages.
Comment 1 Ngo Than 2005-11-16 13:44:45 EST
i can install xfig-3.2.4-15 with rpm -Uvh without any problem
Comment 2 Seth Vidal 2005-11-16 13:51:39 EST
please try running:
yum provides /usr/X11R6/lib/X11/XKeysymDB

Thank you.
Comment 3 Jeremy Katz 2005-11-16 14:05:51 EST
openmotif needs to be fixed for the new file paths with modular X
Comment 4 Thomas Woerner 2005-11-17 07:51:22 EST
Fixed in rawhide in rpm openmotif-2.2.3-14 or newer.

Note You need to log in before you can comment on or make changes to this bug.